#
#       Makefile for maplib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#


include ../../../Mkinclude

LIBNAME		= maplib
LIBFSRCS	= mpfcyl.f mpfmer.f mpfmwd.f mpfmwl.f mpfhmr.f mpfek6.f \
		  mpfktd.f mpfcon.f mpfcoa.f mpfcoc.f mpfbon.f mpfotg.f \
		  mpfpst.f mpfazm.f mpfaza.f mpzmwd.f mpzek6.f mpzktd.f \
		  mpznwt.f xmplon.f \
		  mpfcct.f mpfcya.f mpfcyb.f mpfcyc.f mpfglb.f mpfgno.f \
		  mpfmil.f mpfplc.f mpfpt2.f mpfrbs.f mpfsin.f mpfvdg.f \
		  mpnwtn.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= mpfcyl.o mpfmer.o mpfmwd.o mpfmwl.o mpfhmr.o mpfek6.o \
		  mpfktd.o mpfcon.o mpfcoa.o mpfcoc.o mpfbon.o mpfotg.o \
		  mpfpst.o mpfazm.o mpfaza.o mpzmwd.o mpzek6.o mpzktd.o \
		  mpznwt.o xmplon.o \
		  mpfcct.o mpfcya.o mpfcyb.o mpfcyc.o mpfglb.o mpfgno.o \
		  mpfmil.o mpfplc.o mpfpt2.o mpfrbs.o mpfsin.o mpfvdg.o \
		  mpnwtn.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

